<div fxLayout="column" fxFlex>
  <div fxLayout="row" fxLayoutAlign="start center">
    <div class="breadcrumb mt"><u>Cadastro Escolar / Cadastrar Escolas</u></div>
  </div>
  <div fxFlexAlign="center" class="uploader-status" style="z-index: 1000; position: relative; ">
    <mat-spinner [diameter]="50" mode="indeterminate" *ngIf="spinnerService.visibility | async">
    </mat-spinner>
  </div>
  <div class="cadastro mat-elevation-z2">
    <div class="titulo"> <span>Cadastrar Escolas</span></div>
    <form name="form" [formGroup]="form">
      <div fxLayout="row" fxLayoutAlign="start center">
          <mat-form-field>
          <input matInput type="text" id="nomeEscola" maxlength="50" [(ngModel)]='escola.nome' placeholder="Digite um nome para a escola" formControlName="Escola" />
        </mat-form-field>
      </div>
    </form>
    <div fxLayout="row" fxLayoutAlign="end center">
      <button class="botaoCadastrar" mat-raised-button [disabled]="!form.valid"
        (click)='cadastrarEscola()'>Cadastrar</button>
        <button mat-raised-button class="botaoCancelar" (click)="limparCampo()">Limpar</button>
    </div>
  </div>
  <div class="listaEscola mat-elevation-z2" [hidden]="!dataSource.data.length">
    <div class="titulo"><span>Lista de Escolas</span></div>
    <table mat-table [dataSource]='dataSource'>
      <ng-container matColumnDef="nome">
        <th class="w-8-p text-center" mat-header-cell *matHeaderCellDef>Escolas</th>
        <td class="w-8-p text-center" mat-cell *matCellDef="let element"> {{element.nome}}</td>
      </ng-container>
      <ng-container matColumnDef="acoes">
        <th class="w-20-p" mat-header-cell *matHeaderCellDef></th>
        <td class="w-20-p" mat-cell *matCellDef="let element">
          <button class="botaoEditar" mat-icon-button matTooltip="Visualizar turmas para esta escola" type="button"
            (click)="visualizar(element)" style="cursor:pointer;">
            <mat-icon class="m-3">visibility</mat-icon>
          </button>
        </td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
    <mat-paginator #paginator
      showFirstLastButtons
      [length]="resultsLength"
      [pageIndex]="pageIndex"
      [pageSize]="pageSize"
      (page)="pageEvent = $event">
    </mat-paginator>
  </div>
</div>


